package cn.com.infosec.crypto.io;

import cn.com.infosec.crypto.Digest;
import java.io.FilterOutputStream;
import java.io.OutputStream;

public class DigestOutputStream extends FilterOutputStream {
   protected Digest digest;

   public DigestOutputStream(OutputStream stream, Digest digest) {
      super(stream);
      this.digest = digest;
   }

   public void write(int b) {
      this.digest.update((byte)b);
      super.out.write(b);
   }

   public void write(byte[] b, int off, int len) {
      this.digest.update(b, off, len);
      super.out.write(b, off, len);
   }

   public Digest getDigest() {
      return this.digest;
   }
}
